/v1/ivr/{id}

Update details of IVR for given id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using the below method details of an already created IVRS can be Updated

curl --request PUT \
  --url https://api.servetel.in/v1/ivr/id \
  --header 'accept: application/json' \
  --header 'authorization: Authorization' \
  --header 'content-type: application/json' \
  --data '{}'

Path parameters

Variable NameDescriptionData Type
id*Unique ID of the IVRString

Request variables

Variable NameDescriptionData Type
name*Name for the IVRSString
description*Description for IVRSString
recording*Unique ID of the recordingString
timeout*Time for which the IVRS will ringInteger
incorrect_count*The number of times an invalid entry is allowedInteger
invalid_recording*Recording to be played when an invalid entry is pressedString
invalid_destination*If number of invalid retries reaches more than the value set then it goes to invalid destinationString
timeout_retry_recording*Recording to be played when Timeout entry is addedString
timeout_recording*Recording to be played after Timeout Retry count is more than set valueString
timeout_destination*If number of timeout retries reaches more than the value set then it goes to Timeout DestinationString
timeout_tries*The number of times Timeout Retry is allowedInteger
recording_invalid*Recording to be played after invalid retry count is more than set valueString
option*Options allowed for IVRSArray of strings
destination*Destinations for optionsArray of strings

Response variables

Variable NameDescriptionData Type
successRequest success statusBoolean
messageMessage corresponding success statusString
curl --request PUT \
  --url https://api.servetel.in/v1/ivr/1 \
  --header 'accept: application/json' \
  --header 'authorization: Bearer yourtokenhere' \
  --header 'content-type: application/json' \
  --data '{"name" : "Test IVR Name", "description" : "Test IVR Description", "recording": "recording||1", "timeout" : 30, "destination" : ["extension||0500000000"], "incorrect_count" : 1, "invalid_recording": "recording||1", "invalid_destination" : "extension||0500000000", "timeout_retry_recording" : "recording||1", "timeout_recording" : "recording||1", "timeout_destination" : "extension||0500000000", "timeout_retries" : 1, "recording_invalid" : "recording||1", "option" : ["1"]}'
Path Params
string
required
Body Params
string
required

Name of the IVR.

string
required

Description of the IVR.

string
required

Unique ID of the recording.

number
required

Time to wait for user input after recording ends.

option
array of numbers
required

IVR Options.

option*
destination
array of strings
required

Where the call should land corresponding to IVR option.eg: extension||eid, agent's eid eg: 050160000

destination*
string
required

Number of retries allowed after invalid inputs.

string
required

Unique ID of the recording that needs to be played when timeout expires.

string
required

Unique ID of the recording that needs to be played when an invalid option is pressed.

string
required

Destination where the call should land when invalid option is selected. eg: extension||eid, agent's eid eg: 050160000

string
required

Unique ID of the recording that needs to be played when timeout on retry occurs.

string
required

Destination where the call needs to land when timeout occurs. eg: extension||eid, agent's eid eg: 050160000

sms_template
array of numbers

Unique ID of SMS Template to be associated with IVR Option, only applicable if SMS Template setting is enabled for user account.

sms_template
number
required

The number of times Timeout Retry is allowed

Headers
string
required
Responses

401

401 response

422

422 response

500

500 response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json